org.eclipse.microprofile.openapi.models.headers

## Enum Header.Style

- java.lang.Object
- - java.lang.Enum<Header.Style>
  - - org.eclipse.microprofile.openapi.models.headers.Header.Style

All Implemented Interfaces:
  Serializable, Comparable<Header.Style>

Enclosing interface:
  Header

    public static enum Header.Style
    extends Enum<Header.Style>

Controls the style of serialization. Only one style is supported for headers.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`SIMPLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static Header.Style` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Header.Style[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SIMPLE

    public static final Header.Style SIMPLE

### Method Detail

#### values

    public static Header.Style[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Header.Style c : Header.Style.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Header.Style valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Header.Style>`